package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag420;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT420AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag32aCreator extends AbsTagCreate {
    private MT420AbsCreator mt420AbsCreator;

    public Tag32aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt420AbsCreator= (MT420AbsCreator) absMTCreator;
    }

    public void creator()
    {
        handlerCurAmtCreator(mt420AbsCreator,"amountTraced");
    }
}
